f3probe(1)

NAME
f3probe - probe a block device for counterfeit flash memory

SYNOPSIS
 f3probe [-lnt?V] [-b ORDER] [-s TYPE] [--block-order=ORDER]
          [--min-memory] [--destructive] [--reset-type=TYPE] [--time-ops]
          [--help] [--usage] [--version] <DISK_DEV>

DESCRIPTION
F3 stands for Fight Flash Fraud, or Fight Fake Flash.

f3probe probes a block device for counterfeit flash memory. If counterfeit, f3probe identifies the fake type and real memory size

Warning: THIS COMMAND IS EXPERIMENTAL.

OPTIONS

-b, --block-order=ORDER
    Force block size of the drive to 2^ORDER Bytes.

-l, --min-memory
    Trade speed for less use of memory.

-n, --destructive
    Do not restore blocks of the device after probing it.

-s, --reset-type=TYPE
    Reset method to use during the probe.

-t, --time-ops
    Time reads, writes, and resets.

-?, --help
    Give this help list.

--usage
    Give a short usage message.

-V, --version
    Print program version.

SEE ALSO
f3brew(1), f3fix(1), f3read(1), f3write(1)

AUTHOR
The F3 was written by Michel Machado <michel@digirati.com.br>.

This manual page was written by Joao Eriberto Mota Filho <eriberto@debian.org> for the Debian project (but may be used by others).